Daemon Power

The NetBSD Packages Collection: graphics/digikam

Brief description of the package:
Advanced digital photo management application (KDE4)

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://www.digikam.org/.

Please note that this package has a gnu-gpl-v2 license.

The package is located in the "graphics/digikam" directory. The current source version of the package is "digikam-4.13.0nb18". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for graphics/digikam :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: qt4-sqlite3-[0-9]* qt4-libs>=4.8.7 glu>=3.4.2 MesaLib>=3.4.2 libelf>=0.8.5 cwrappers>=20150314 libLLVM>=7.0.1nb2 python37>=3.7 libffi>=1.20 libuuid>=2.18 libffi>=3.0.11 readline>=2.2 readline>=6.0 python37>=3.7.0 libLLVM>=4.0.0 libvdpau>=0.3 x11-links>=1.30 osabi-NetBSD-8.0_STABLE xorgproto>=2016.1 libXdamage>=1.0.3 Xfixes>=2.0.0 fixesproto>=3.0.0<5 Xfixes>=2.0.1nb2 Xrandr>=0.99 Xrender>=0.8 Xrender>=0.2 Xrender>=0.8.2 Xrender>=0.9.0nb1 Xrandr>=1.0.1 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 xcb-proto>=1.13 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 xcb-proto>=1.4 libxshmfence>=1.2 xorg-util-macros>=1.17 libdrm>=2.4.99 libdrm>=2.4.81 libdrm>=2.4.15 libva>=2.3.0 Xrandr>=1.0.2nb3 meson-[0-9]* ninja-build-[0-9]* re2c>=0.11.3 py37-setuptools>=0.8 py37-expat-[0-9]* python37>=3.7.5 MesaLib>=7.11.2 glu>=6.0 xcursor>=1.0 xcursor>=1.1.1 Xft2>=2.1 fontconfig>=2.2 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.11.91 fontconfig>=2.1nb2 Xrender>=0.9.0nb2 fontconfig>=2.13.0 Xft2>=2.1nb2 jpeg>=8nb1 png>=1.2.4 glu>=7.11.2 xcursor>=1.1.2nb1 Xft2>=2.1.7nb7 jpeg>=9 png>=1.6.0nb1 qt4-libs>=4.6.1nb2 qt4-libs>=4.8.7nb12 qt4-tools>=4.1.0 libtool-base-[0-9]* qt4-tools>=4.8.7nb3 gnupg2>=2.2.0 pinentry-[0-9]* libassuan>=2.1.0 libgpg-error>=0.6 libgpg-error>=1.17 libgpg-error>=1.10nb1 libassuan>=2.4.2 libgpg-error>=1.16 libksba>=0.9.7 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=1.2 libgcrypt>=1.6.0 libksba>=1.3.0nb1 gnutls>=3.3.0 mozilla-rootcerts-[0-9]* lzo>=2.01 gmp>=5.0 gmp>=4.2.1 gmp>=6.0 libcfg+>=0.6.2nb1 libtasn1>=4.9 libtasn1>=0.2.7 nettle>=3.4.1 gmp>=5.0.1 nettle>=2.4 p11-kit>=0.23.1 mozilla-rootcerts>=1.0.20150804nb1 libtasn1>=0.3.0 p11-kit>=0.10 p11-kit>=0.23 libunistring>=0.9.3 libcfg+>=0.6.2nb3 nettle>=3.5.1 libunistring>=0.9.4 libusb1>=1.0.9 npth>=1.2 npth>=1.1 libgcrypt>=1.7 libgpg-error>=1.28 libassuan>=2.5.1 libksba>=1.3.4 gnutls>=3.6.8nb1 perl>=5.0 liblqr>=0.4.1 glib2>=2.4.0 pcre>=3.4nb1 pcre>=8.30nb1 glib2>=2.34.0 kdepimlibs4>=4.0.0 qt4-libs>=4.4.0 qt4-qdbus>=4.3.2 dbus>=0.91 xmlto-[0-9]* getopt-[0-9]* docbook-xsl>=1.67.0nb1 docbook-xml>=4.2 libxslt>=1.1.8 libxml2>=2.6.27 docbook-xml-[0-9]* docbook-xsl-[0-9]* libxslt>=1.1.28nb2 boost-libs-1.71.* icu>=3.4 icu>=64.1 boost-jam-1.71.* qjson>=0.7.1 akonadi>=1.8.51 shared-mime-info>=0.15 shared-mime-info>=1.0nb1 boost-libs>=1.71.0 qt4-qdbus>=4.8.7nb2 automoc4>=0.9.87 libxslt-[0-9]* boost-headers-1.71.* akonadi>=0.82.0 cyrus-sasl>=2.1.12 gpgme>=0.9.0 libassuan>=2.0.2 libical>=0.42 zonetab-[0-9]* kdelibs4>=4.0.0 docbook-xsl>=1.75 qt4-tools>=4.4.0 strigi>=0.5.11 cppunit>=1.10.2 libclucene>=2.3.3.4 libclucene>=2.2.0 fam>=2.6.10 cppunit>=1.10.2nb5 libclucene>=2.3.3.4nb15 fam>=2.7.0nb7 strigi>=0.6.2 grantlee>=0.3.0 libdbusmenu-qt>=0.8.2 hicolor-icon-theme>=0.4 jasper>=1.600.0 giflib>=5.1.0 openexr>=1.6.1 ilmbase>=1.0.2nb1 gcc6>=6 gsed>=3.0.2 gcc6>=6.1 ilmbase>=1.0.1 ilmbase>=2.2.0nb1 attica>=0.1.2 phonon>=4.5.0 polkit-qt>=0.9.2 polkit>=0.103 spidermonkey52>=52.0.0 py27-expat-[0-9]* nspr>=4.9.3.2 python27>=2.7 python27>=2.7.1nb2 qca2>=2.0.0 aspell>=0.50.3 enchant>=1.1.3 hunspell-en_US-[0-9]* hunspell>=1.2.2 hunspell>=1.7.0 libXScrnSaver>=1.1.2 libXpm>=3.5.4.2 libXtst>=1.0.1 desktop-file-utils>=0.8 strigi>=0.7.8nb30 grantlee>=0.5.1nb4 libdbusmenu-qt>=0.9.3.16.04.20160218nb1 hicolor-icon-theme>=0.9nb1 jasper>=1.900.1nb7 openexr>=2.2.0nb3 attica>=0.4.2nb4 phonon>=4.9.1nb2 polkit-qt>=0.112.0nb1 qca2>=2.1.3nb1 aspell>=0.60.6nb3 enchant>=1.6.0nb5 desktop-file-utils>=0.10nb1 akonadi>=1.13.0nb18 cyrus-sasl>=2.1.26 gpgme>=1.8.0nb1 libical>=3.0.3nb4 kdelibs4>=4.14.38nb6 mysql-server>=5.5.11<5.6 mysql-client>=5.5.10<5.6 mysql-client>=5.5.48nb1 libgphoto2>=2.1.2 libltdl>=2.4.2 libexif>=0.6.11 libltdl>=2.2.6 libexif>=0.6.20nb1 lcms>=1.06 tiff>=3.6.1 jbigkit>=2.0 tiff>=4.0.3nb5 libkdcraw>=4.8.0 libraw>=0.16.0 lcms2>=2.2 libraw>=0.19.3 libkexiv2>=4.8.0 exiv2>=0.27 libkipi>=4.8.0 libksane>=4.8.0 sane-backends>=1.0.3 sane-backends>=1.0.24 libkface>=2.5.0 opencv>=3.0.0 protobuf>=3.0.0 libwebp>=0.2.0 py37-numpy>=1.0 g95>=0.91 py37-cython>=0.12.1 blas>=1.0nb2 libtool-fortran>=2.4.2nb9 lapack>=3.1.1 blas>=1.0nb3 gtk3+>=3.0.0 atk>=2.15.1 glib2>=2.38.0 gobject-introspection>=0.6.14nb1 py37-cElementTree-[0-9]* glib2>=2.58.0 libffi>=3.0.0 gobject-introspection>=1.34.0 atk>=1.11.4 glib2>=2.57.2 gdk-pixbuf2>=2.30.0 glib2>=2.37.2 gdk-pixbuf2>=2.22.0 at-spi2-atk>=2.6.1 atk>=2.33.3 glib2>=2.32.0 at-spi2-core>=2.33.2 at-spi2-core>=2.3.2 dbus>=1.5 atk>=2.6.0 at-spi2-core>=2.26.2 Xft2>=2.1.2nb2 libXcomposite>=0.3.1 pango>=1.41 Xft2>=2.1.7nb3 fribidi>=0.19.7 fribidi>=0.19.1 glib2>=2.59 harfbuzz>=2.0 graphite2>=1.2 harfbuzz>=2.1.1 cairo>=1.12.10 pixman>=0.30.0 pixman>=0.25.2 cairo>=1.0.0nb2 cairo-gobject>=1.10.2 cairo>=1.16.0 glib2>=2.14.0 cairo-gobject>=1.16.0 pango>=1.6.0 cairo>=1.14.0 libepoxy>=1.4 py37-expat>=0 libepoxy>=1.2 gdk-pixbuf2>=2.38.1 at-spi2-atk>=2.26.1nb1 pango>=1.42.4nb2 gobject-introspection>=1.39.0 protobuf>=3.6.0 libwebp>=0.6.0 gtk3+>=3.24.8nb2 opencv-contrib-face>=3.0.0 opencv>=3.4.6 automoc4>=0.9.83 libpgf>=6.14.12 dos2unix-[0-9]* libkgeomap>=2.5.0 marble>=4.8.0 marble>=4.14.3nb14 libkvkontakte>=2.5.0 libbaloo4>=4.14.3 kfilemetadata>=4.14.3 taglib>=1.0 kdegraphics-mobipocket>=4.14.3 ffmpeg2>=2.0 libass>=0.9.12 fribidi>=0.19.0 enca>=1.9 libtheora>=1.0alpha3 libvorbis>=1.0.1 libogg>=1.1 libogg>=1.1.2nb1 libvorbis>=1.1.0nb1 lame>=3.93.1nb2 xvidcore>=1.0.0 x264-devel>=20111207 nasm>=2.13.0 asciidoc-[0-9]* x264-devel>=20180224 libvpx>=1.6.0 yasm-[0-9]* libbluray>=0.8.1 libass>=0.14.0nb2 libtheora>=1.0alpha3nb1 lame>=3.98.2nb1 lame>=3.96.1nb4 xvidcore>=1.1.0nb1 libvpx>=1.6.1 nasm>=2.13 ebook-tools>=0.1.1 libzip>=0.7.1 libzip>=1.5.2nb1 cmake>=2.8.5nb1 libarchive>=3.3.3 libarchive>=3.1 libuv>=1.6 curl>=7.12.3 libidn2>=2.0.0 nghttp2>=1.0.0 nghttp2>=1.39.2nb1 libarchive>=3.3.1 curl>=7.65.3nb3 rhash>=1.3.1 taglib>=1.9.1 kdegraphics-mobipocket>=16.08.0nb9 ffmpeg2>=2.8.14nb2 ebook-tools>=0.2.2nb5 xapian>=1.0.7 kdepimlibs4>=4.14.10nb18 xapian>=1.4.1 libmediawiki>=2.5.0 liblqr>=0.4.1nb5 mysql-server>=5.5.29nb1<5.6 libgphoto2>=2.5.8nb3 lcms>=1.12nb2 libkdcraw>=15.08.3nb12 libkipi>=15.08.3nb9 libksane>=15.08.3nb12 libkface>=4.13.0nb14 libkgeomap>=4.13.0nb12 libkvkontakte>=4.13.0nb12 libmediawiki>=4.13.0nb12 eigen3>=3.1.2 .

This package requires the following package(s) to run: qt4-sqlite3-[0-9]* qt4-libs>=4.8.7 glu>=3.4.2 MesaLib>=3.4.2 libelf>=0.8.5 libLLVM>=7.0.1nb2 libLLVM>=4.0.0 libvdpau>=0.3 libXdamage>=1.0.3 Xfixes>=2.0.0 Xfixes>=2.0.1nb2 Xrandr>=0.99 Xrender>=0.8 Xrender>=0.2 Xrender>=0.8.2 Xrender>=0.9.0nb1 Xrandr>=1.0.1 libxcb>=1.6 libXdmcp>=0.99 libXau>=1.0 libxshmfence>=1.2 libdrm>=2.4.99 libdrm>=2.4.81 libdrm>=2.4.15 libva>=2.3.0 Xrandr>=1.0.2nb3 MesaLib>=7.11.2 glu>=6.0 xcursor>=1.0 xcursor>=1.1.1 Xft2>=2.1 fontconfig>=2.2 libuuid>=2.18 freetype2>=2.8.1 freetype2>=2.1.3 fontconfig>=2.11.91 fontconfig>=2.1nb2 Xrender>=0.9.0nb2 fontconfig>=2.13.0 Xft2>=2.1nb2 jpeg>=8nb1 png>=1.2.4 glu>=7.11.2 xcursor>=1.1.2nb1 Xft2>=2.1.7nb7 jpeg>=9 png>=1.6.0nb1 qt4-libs>=4.6.1nb2 qt4-libs>=4.8.7nb12 gnupg2>=2.2.0 pinentry-[0-9]* libassuan>=2.1.0 libgpg-error>=0.6 libgpg-error>=1.17 libgpg-error>=1.10nb1 libassuan>=2.4.2 libgpg-error>=1.16 libksba>=0.9.7 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=1.2 libgcrypt>=1.6.0 libksba>=1.3.0nb1 gnutls>=3.3.0 mozilla-rootcerts-[0-9]* lzo>=2.01 gmp>=5.0 gmp>=4.2.1 gmp>=6.0 libcfg+>=0.6.2nb1 libtasn1>=4.9 libtasn1>=0.2.7 nettle>=3.4.1 gmp>=5.0.1 nettle>=2.4 p11-kit>=0.23.1 mozilla-rootcerts>=1.0.20150804nb1 libffi>=1.20 libffi>=3.0.11 libtasn1>=0.3.0 p11-kit>=0.10 p11-kit>=0.23 libunistring>=0.9.3 libcfg+>=0.6.2nb3 nettle>=3.5.1 libunistring>=0.9.4 libusb1>=1.0.9 npth>=1.2 npth>=1.1 readline>=2.2 libgcrypt>=1.7 libgpg-error>=1.28 libassuan>=2.5.1 libksba>=1.3.4 gnutls>=3.6.8nb1 readline>=6.0 perl>=5.0 liblqr>=0.4.1 glib2>=2.4.0 pcre>=3.4nb1 pcre>=8.30nb1 glib2>=2.34.0 kdepimlibs4>=4.0.0 qt4-libs>=4.4.0 qt4-qdbus>=4.3.2 dbus>=0.91 boost-libs-1.71.* icu>=3.4 python37>=3.7 python37>=3.7.0 icu>=64.1 qjson>=0.7.1 akonadi>=1.8.51 shared-mime-info>=0.15 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 shared-mime-info>=1.0nb1 boost-libs>=1.71.0 qt4-qdbus>=4.8.7nb2 akonadi>=0.82.0 cyrus-sasl>=2.1.12 gpgme>=0.9.0 libassuan>=2.0.2 libical>=0.42 zonetab-[0-9]* kdelibs4>=4.0.0 docbook-xml>=4.2 docbook-xsl>=1.75 qt4-tools>=4.4.0 libtool-base-[0-9]* qt4-tools>=4.1.0 strigi>=0.5.11 cppunit>=1.10.2 libclucene>=2.3.3.4 libclucene>=2.2.0 fam>=2.6.10 cppunit>=1.10.2nb5 libclucene>=2.3.3.4nb15 fam>=2.7.0nb7 strigi>=0.6.2 grantlee>=0.3.0 libdbusmenu-qt>=0.8.2 hicolor-icon-theme>=0.4 jasper>=1.600.0 giflib>=5.1.0 openexr>=1.6.1 ilmbase>=1.0.2nb1 ilmbase>=1.0.1 ilmbase>=2.2.0nb1 attica>=0.1.2 phonon>=4.5.0 qt4-tools>=4.8.7nb3 polkit-qt>=0.9.2 polkit>=0.103 spidermonkey52>=52.0.0 py27-expat-[0-9]* python37>=3.7.5 nspr>=4.9.3.2 qca2>=2.0.0 aspell>=0.50.3 enchant>=1.1.3 hunspell-en_US-[0-9]* hunspell>=1.2.2 hunspell>=1.7.0 libxslt>=1.1.8 libxml2>=2.6.27 libXScrnSaver>=1.1.2 libXpm>=3.5.4.2 libXtst>=1.0.1 desktop-file-utils>=0.8 strigi>=0.7.8nb30 grantlee>=0.5.1nb4 libdbusmenu-qt>=0.9.3.16.04.20160218nb1 hicolor-icon-theme>=0.9nb1 jasper>=1.900.1nb7 openexr>=2.2.0nb3 attica>=0.4.2nb4 phonon>=4.9.1nb2 polkit-qt>=0.112.0nb1 qca2>=2.1.3nb1 aspell>=0.60.6nb3 enchant>=1.6.0nb5 libxslt>=1.1.28nb2 desktop-file-utils>=0.10nb1 akonadi>=1.13.0nb18 cyrus-sasl>=2.1.26 gpgme>=1.8.0nb1 libical>=3.0.3nb4 kdelibs4>=4.14.38nb6 mysql-server>=5.5.11<5.6 mysql-client>=5.5.10<5.6 mysql-client>=5.5.48nb1 libgphoto2>=2.1.2 libltdl>=2.4.2 libexif>=0.6.11 libltdl>=2.2.6 libexif>=0.6.20nb1 lcms>=1.06 tiff>=3.6.1 jbigkit>=2.0 tiff>=4.0.3nb5 libkdcraw>=4.8.0 libraw>=0.16.0 lcms2>=2.2 libraw>=0.19.3 libkexiv2>=4.8.0 exiv2>=0.27 libkipi>=4.8.0 libksane>=4.8.0 sane-backends>=1.0.3 sane-backends>=1.0.24 libkface>=2.5.0 opencv>=3.0.0 protobuf>=3.0.0 libwebp>=0.2.0 py37-numpy>=1.0 py37-setuptools>=0.8 py37-expat-[0-9]* g95>=0.91 py37-cython>=0.12.1 blas>=1.0nb2 lapack>=3.1.1 blas>=1.0nb3 gtk3+>=3.0.0 atk>=2.15.1 glib2>=2.38.0 atk>=1.11.4 glib2>=2.57.2 gdk-pixbuf2>=2.30.0 glib2>=2.37.2 gdk-pixbuf2>=2.22.0 at-spi2-atk>=2.6.1 atk>=2.33.3 glib2>=2.32.0 at-spi2-core>=2.33.2 gobject-introspection>=0.6.14nb1 py37-cElementTree-[0-9]* glib2>=2.58.0 libffi>=3.0.0 gobject-introspection>=1.34.0 at-spi2-core>=2.3.2 dbus>=1.5 atk>=2.6.0 at-spi2-core>=2.26.2 Xft2>=2.1.2nb2 libXcomposite>=0.3.1 pango>=1.41 Xft2>=2.1.7nb3 fribidi>=0.19.7 fribidi>=0.19.1 glib2>=2.59 harfbuzz>=2.0 graphite2>=1.2 harfbuzz>=2.1.1 cairo>=1.12.10 pixman>=0.30.0 pixman>=0.25.2 cairo>=1.0.0nb2 cairo-gobject>=1.10.2 cairo>=1.16.0 glib2>=2.14.0 cairo-gobject>=1.16.0 pango>=1.6.0 cairo>=1.14.0 libepoxy>=1.4 libepoxy>=1.2 gdk-pixbuf2>=2.38.1 at-spi2-atk>=2.26.1nb1 pango>=1.42.4nb2 protobuf>=3.6.0 libwebp>=0.6.0 gtk3+>=3.24.8nb2 opencv-contrib-face>=3.0.0 opencv>=3.4.6 libpgf>=6.14.12 libkgeomap>=2.5.0 marble>=4.8.0 marble>=4.14.3nb14 libkvkontakte>=2.5.0 libbaloo4>=4.14.3 kfilemetadata>=4.14.3 taglib>=1.0 kdegraphics-mobipocket>=4.14.3 ffmpeg2>=2.0 libass>=0.9.12 fribidi>=0.19.0 enca>=1.9 libtheora>=1.0alpha3 libvorbis>=1.0.1 libogg>=1.1 libogg>=1.1.2nb1 libvorbis>=1.1.0nb1 lame>=3.93.1nb2 xvidcore>=1.0.0 x264-devel>=20111207 x264-devel>=20180224 libvpx>=1.6.0 libbluray>=0.8.1 libass>=0.14.0nb2 libtheora>=1.0alpha3nb1 lame>=3.98.2nb1 lame>=3.96.1nb4 xvidcore>=1.1.0nb1 libvpx>=1.6.1 ebook-tools>=0.1.1 libzip>=0.7.1 libzip>=1.5.2nb1 taglib>=1.9.1 kdegraphics-mobipocket>=16.08.0nb9 ffmpeg2>=2.8.14nb2 ebook-tools>=0.2.2nb5 xapian>=1.0.7 kdepimlibs4>=4.14.10nb18 xapian>=1.4.1 libmediawiki>=2.5.0 liblqr>=0.4.1nb5 mysql-server>=5.5.29nb1<5.6 libgphoto2>=2.5.8nb3 lcms>=1.12nb2 libkdcraw>=15.08.3nb12 libkipi>=15.08.3nb9 libksane>=15.08.3nb12 libkface>=4.13.0nb14 libkgeomap>=4.13.0nb12 libkvkontakte>=4.13.0nb12 libmediawiki>=4.13.0nb12 .

This package supports the following build-time options:

debug
Enable debugging facilities in the package.
lensfun
Enable lensfun (camera lens distortion rectifyer) support.
liblqr
Enable liblqr (liquid rescale) support.
pim
Enable pim (personal information management) support.

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
none

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]